'\" t
.\"     Title: userdel
.\"    Author: Julianne Frances Haugh
.\" Generator: DocBook XSL Stylesheets vsnapshot <http://docbook.sf.net/>
.\"      Date: 22.08.2022
.\"    Manual: Befehle zur Systemverwaltung
.\"    Source: shadow-utils 4.12.3
.\"  Language: German
.\"
.TH "USERDEL" "8" "22.08.2022" "shadow\-utils 4\&.12\&.3" "Befehle zur Systemverwaltung"
.\" -----------------------------------------------------------------
.\" * Define some portability stuff
.\" -----------------------------------------------------------------
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.\" http://bugs.debian.org/507673
.\" http://lists.gnu.org/archive/html/groff/2009-02/msg00013.html
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.ie \n(.g .ds Aq \(aq
.el       .ds Aq '
.\" -----------------------------------------------------------------
.\" * set default formatting
.\" -----------------------------------------------------------------
.\" disable hyphenation
.nh
.\" disable justification (adjust text to left margin only)
.ad l
.\" -----------------------------------------------------------------
.\" * MAIN CONTENT STARTS HERE *
.\" -----------------------------------------------------------------
.SH "NAME"
userdel \- l\(:oscht ein Benutzerkonto und die dazugeh\(:origen Dateien
.SH "\(:UBERSICHT"
.HP \w'\fBuserdel\fR\ 'u
\fBuserdel\fR [Optionen] \fIANMELDENAME\fR
.SH "BESCHREIBUNG"
.PP
The
\fBuserdel\fR
command modifies the system account files, deleting all entries that refer to the user name
\fILOGIN\fR\&. The named user must exist\&.
.SH "OPTIONEN"
.PP
The options which apply to the
\fBuserdel\fR
command are:
.PP
\fB\-f\fR, \fB\-\-force\fR
.RS 4
This option forces the removal of the user account, even if the user is still logged in\&. It also forces
\fBuserdel\fR
to remove the user\*(Aqs home directory and mail spool, even if another user uses the same home directory or if the mail spool is not owned by the specified user\&. If
\fBUSERGROUPS_ENAB\fR
is defined to
\fIyes\fR
in
/etc/login\&.defs
and if a group exists with the same name as the deleted user, then this group will be removed, even if it is still the primary group of another user\&.
.sp
\fINote:\fR
This option is dangerous and may leave your system in an inconsistent state\&.
.RE
.PP
\fB\-h\fR, \fB\-\-help\fR
.RS 4
zeigt die Hilfe an und beendet das Programm
.RE
.PP
\fB\-r\fR, \fB\-\-remove\fR
.RS 4
Die Dateien im Home\-Verzeichnis des Benutzers werden zusammen mit dem Home\-Verzeichnis und dem Mailspool entfernt\&. Dateien, die sich nicht unterhalb des Home\-Verzeichnisses befinden, m\(:ussen per Hand gesucht und gel\(:oscht werden\&.
.sp
The mail spool is defined by the
\fBMAIL_DIR\fR
variable in the
login\&.defs
file\&.
.RE
.PP
\fB\-R\fR, \fB\-\-root\fR\ \&\fICHROOT_DIR\fR
.RS 4
Apply changes in the
\fICHROOT_DIR\fR
directory and use the configuration files from the
\fICHROOT_DIR\fR
directory\&. Only absolute paths are supported\&.
.RE
.PP
\fB\-P\fR, \fB\-\-prefix\fR\ \&\fIPREFIX_DIR\fR
.RS 4
Apply changes in the
\fIPREFIX_DIR\fR
directory and use the configuration files from the
\fIPREFIX_DIR\fR
directory\&. This option does not chroot and is intended for preparing a cross\-compilation target\&. Some limitations: NIS and LDAP users/groups are not verified\&. PAM authentication is using the host files\&. No SELINUX support\&.
.RE
.PP
\fB\-Z\fR, \fB\-\-selinux\-user\fR
.RS 4
entfernt die Zuordnung von SELinux\-Benutzern aus den Anmeldeinformationen des Benutzers
.RE
.SH "KONFIGURATION"
.PP
The following configuration variables in
/etc/login\&.defs
change the behavior of this tool:
.SH "DATEIEN"
.PP
/etc/group
.RS 4
Informationen zu den Gruppenkonten
.RE
.PP
/etc/login\&.defs
.RS 4
Konfiguration der Shadow\-Passwort\-Werkzeugsammlung
.RE
.PP
/etc/passwd
.RS 4
Informationen zu den Benutzerkonten
.RE
.PP
/etc/shadow
.RS 4
verschl\(:usselte Informationen zu den Benutzerkonten
.RE
.PP
/etc/shadow\-maint/userdel\-pre\&.d/*, /etc/shadow\-maint/userdel\-post\&.d/*
.RS 4
Run\-part files to execute during user deletion\&. The environment variable
\fBACTION\fR
will be populated with
\fBuserdel\fR
and
\fBSUBJECT\fR
with the username\&.
userdel\-pre\&.d
will be executed prior to any user deletion\&.
userdel\-post\&.d
will execute after user deletion\&. If a script exits non\-zero then execution will terminate\&.
.RE
.PP
/etc/subgid
.RS 4
Per user subordinate group IDs\&.
.RE
.PP
/etc/subuid
.RS 4
Per user subordinate user IDs\&.
.RE
.SH "R\(:UCKGABEWERTE"
.PP
The
\fBuserdel\fR
command exits with the following values:
.PP
\fI0\fR
.RS 4
success
.RE
.PP
\fI1\fR
.RS 4
can\*(Aqt update password file
.RE
.PP
\fI2\fR
.RS 4
invalid command syntax
.RE
.PP
\fI6\fR
.RS 4
specified user doesn\*(Aqt exist
.RE
.PP
\fI8\fR
.RS 4
user currently logged in
.RE
.PP
\fI10\fR
.RS 4
can\*(Aqt update group file
.RE
.PP
\fI12\fR
.RS 4
can\*(Aqt remove home directory
.RE
.SH "WARNUNGEN"
.PP
\fBuserdel\fR
will not allow you to remove an account if there are running processes which belong to this account\&. In that case, you may have to kill those processes or lock the user\*(Aqs password or account and remove the account later\&. The
\fB\-f\fR
option can force the deletion of this account\&.
.PP
Sie sollten von Hand alle Systemdateien \(:uberpr\(:ufen, um sicherzustellen, dass keine Dateien vorhanden sind, die dem gel\(:oschten Benutzer geh\(:oren\&.
.PP
Sie sollten keine NIS\-Attribute auf einem NIS\-Client l\(:oschen\&. Dies muss auf dem NIS\-Server durchgef\(:uhrt werden\&.
.PP
If
\fBUSERGROUPS_ENAB\fR
is defined to
\fIyes\fR
in
/etc/login\&.defs,
\fBuserdel\fR
will delete the group with the same name as the user\&. To avoid inconsistencies in the passwd and group databases,
\fBuserdel\fR
will check that this group is not used as a primary group for another user, and will just warn without deleting the group otherwise\&. The
\fB\-f\fR
option can force the deletion of this group\&.
.SH "SIEHE AUCH"
.PP
\fBchfn\fR(1),
\fBchsh\fR(1),
\fBpasswd\fR(1),
\fBlogin.defs\fR(5),
\fBgpasswd\fR(8),
\fBgroupadd\fR(8),
\fBgroupdel\fR(8),
\fBgroupmod\fR(8),
\fBsubgid\fR(5), \fBsubuid\fR(5),
\fBuseradd\fR(8),
\fBusermod\fR(8)\&.
